# disparity

Calculates the stereo disparity map from two (sequences of) rectified and aligned stereo images

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──disparity

## Factory details

Authors: – Miguel Casas-Sanchez

Classification: – `Filter/Effect/Video`

Rank – none

Plugin – opencv

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    video/x-raw:
             format: RGB
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw:
             format: RGB
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### method

    “method” Disparity-method *

Stereo matching method to use

Flags : Read / Write

Default value : sgbm (1)

## Named constants

### Disparity-method

#### Members

`sbm` (0) – Global block matching algorithm
`sgbm` (1) – Semi-global block matching algorithm

The results of the search are